/*
 * Esempio scheda led Zeroplus Arduino Starter Kit with Logic Analyzer
 * far comparire 4 colori diversi
 * Giovanni Bernardo 
 * http://www.settorezero.com
 * 
 * bytes da inviare all'IO Expander I2C
 * (la logica è inversa: 0=acceso, 1=spento)
 * struttura byte: xabcdBRG
 * x: bit non utilizzato
 * BRG: bit colore (bit0 = verde, bit1=rosso, bit2=blue)
 * abcd: led, d=DS1, c=DS2, b=DS3, a=ds4
 */

#include "Wire.h"
#define address 0x20 // indirizzo scheda con il dipswitch in posisizione di default

void setup() 
  {
  Wire.begin();
  }

void loop() 
  {
  Wire.beginTransmission(address);
  // ricordo che la logica è inversa, 0=acceso, 1=spento
  Wire.write(0b00111101); // accendo led DS1 di colore Rosso
  Wire.write(0b01011011); // accendo led DS2 di colore Blue
  Wire.write(0b01101110); // accendo led DS3 di colore Verde
  Wire.write(0b01110001); // accendo led DS4 di colore Viola (Blue+Rosso)
  Wire.endTransmission();
  }
